summaryrefslogtreecommitdiffstats
path: root/sources/hv-collector-main/src/main/docker/entry.sh
diff options
context:
space:
mode:
authorAlexander Mazuruk <a.mazuruk@samsung.com>2021-02-18 17:09:53 +0100
committerAlexander Mazuruk <a.mazuruk@samsung.com>2021-04-22 17:29:05 +0200
commite3184fb92637badbbf18fbaf3fada29412a59c77 (patch)
tree4b450e21a6e31beba9229666fdc368bcf49b6da3 /sources/hv-collector-main/src/main/docker/entry.sh
parent633f4588fb22d9694d86cdf13a0d85d9b130d7e9 (diff)
Change openjdk baseOS img to integration-java11
Benefits from switching over: * minimal {java11,python} images maintained by integration team * using currently "blessed by seccom" versions (:latest tag used) * should limit spread of legal issues across layers * integration images will be the first to have automated compliance documentation * should limit spread of base layers (contributing to deployment footprint - more base layers = more to download, more to store etc...) Issue-ID: INT-1864 Issue-ID: DCAEGEN2-2420 Signed-off-by: Alexander Mazuruk <a.mazuruk@samsung.com> Change-Id: Ibd6f379b869306c5f14f06f6efe60c5a3c32f779
Diffstat (limited to 'sources/hv-collector-main/src/main/docker/entry.sh')
-rwxr-xr-xsources/hv-collector-main/src/main/docker/entry.sh13
1 files changed, 5 insertions, 8 deletions
diff --git a/sources/hv-collector-main/src/main/docker/entry.sh b/sources/hv-collector-main/src/main/docker/entry.sh
index a612e393..6bac5afe 100755
--- a/sources/hv-collector-main/src/main/docker/entry.sh
+++ b/sources/hv-collector-main/src/main/docker/entry.sh
@@ -1,20 +1,17 @@
-#!/usr/bin/env bash
-
-set -euo pipefail
+#!/usr/bin/env sh
pid=-1
-function handle_sigterm() {
- if [[ ${pid} -ge 0 ]]; then
+handle_sigterm() {
+ if [ ${pid} -ge 0 ]; then
echo "Caught SIGTERM signal. Redirecting to process with pid=${pid}"
kill -TERM "${pid}"
wait ${pid}
fi
exit 143 # 128 + 15 -- SIGTERM
}
-trap "handle_sigterm" SIGTERM
-
-java ${JAVA_OPTS:-} -cp '*:' org.onap.dcae.collectors.veshv.main.MainKt $@ &
+trap "handle_sigterm" TERM
+java ${JAVA_OPTS} -cp '*:' org.onap.dcae.collectors.veshv.main.MainKt "$@" &
pid=$!
echo "Service started with pid=${pid}"
wait ${pid}